Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Interface QAbstractPictureFormatInterface

All Superinterfaces:
  QAbstractFactoryInterface, QtJambiInterface

All Known Implementing Classes:
  QAbstractPictureFormat, QPictureFormatPlugin

    public interface QAbstractPictureFormatInterface

extends QtJambiInterface, QAbstractFactoryInterface

Method Summary
`long` | `__qt_cast_to_QAbstractPictureFormat(long ptr)` This method is internal to Qt Jambi.
`boolean` | `installIOHandler(java.lang.String arg__1)` Installs a `QPictureIO` picture I/O handler for the picture format `format`.
`java.util.List<java.lang.String>` | `keys()` Returns the list of picture formats this plugin supports.
`boolean` | `loadPicture(java.lang.String format, java.lang.String filename, QPicture arg__3)` Loads the picture stored in the file called `fileName`, with the given `format`, into *`picture`.
`boolean` | `savePicture(java.lang.String format, java.lang.String filename, QPicture arg__3)` Saves the given `picture` into the file called `fileName`, using the specified `format`.

Methods inherited from interface com.trolltech.qt.core.QAbstractFactoryInterface
`__qt_cast_to_QAbstractFactory`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Method Detail

### installIOHandler

    boolean installIOHandler(java.lang.String arg__1)

  Installs a `QPictureIO` picture I/O handler for the picture format `format`.

See also:
  `keys()`.

### keys

    java.util.List<java.lang.String> keys()

  Returns the list of picture formats this plugin supports.

See also:
  `installIOHandler()`.

  Specified by:
    `keys` in interface `QAbstractFactoryInterface`

### loadPicture

    boolean loadPicture(java.lang.String format,
                        java.lang.String filename,
                        QPicture arg__3)

  Loads the picture stored in the file called `fileName`, with the given `format`, into *`picture`. Returns true on success; otherwise returns false.

See also:
  `savePicture()`.

### savePicture

    boolean savePicture(java.lang.String format,
                        java.lang.String filename,
                        QPicture arg__3)

  Saves the given `picture` into the file called `fileName`, using the specified `format`. Returns true on success; otherwise returns false.

See also:
  `loadPicture()`.

### __qt_cast_to_QAbstractPictureFormat

    long __qt_cast_to_QAbstractPictureFormat(long ptr)

  This method is internal to Qt Jambi.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

DL>

### savePicture